Bug 72442 - UI: When I try to add a hyperlink to a bookmark in the same document, the list with bookmarks closes itself
Summary: UI: When I try to add a hyperlink to a bookmark in the same document, the lis...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta2
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA NoRepro:4.2.0.0.beta2:Ubuntu
Keywords:
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2013-12-07 16:56 UTC by Denis
Modified: 2021-12-07 04:56 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test document (16.27 KB, application/vnd.oasis.opendocument.text)
2015-05-24 00:02 UTC, Gordo
Details
video of behaviour (1.86 MB, video/mp4)
2015-06-08 12:43 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis 2013-12-07 16:56:50 UTC
When I try to add a hyperlink to a bookmark in the same document, the list with bookmarks closes itself. When I try to open it again, this problem does not registered. I've made this video to demonstrate the problem: http://youtu.be/4MXXykvInN8 (see 00:16).
Operating System: All
Version: 4.2.0.0.beta2
Comment 1 Robinson Tryon (qubit) 2013-12-08 08:01:04 UTC
NOREPRO on 4.2.0.0.beta2 + Ubuntu 12.04.3

REPRO STEPS:
- Open a new document in LO Writer
- Add 3 pages of text

Add bookmark:
- On the 3rd page: Insert -> Bookmark -> (type) "123"
- click "OK"

Add hyperlink:
- Highlight the first word of the first page
- Insert -> Hyperlink -> Document Button -> Target in document -> (click button to right of textbox)
- In "Target in document dialog" click Bookmarks -> "123"
- click "OK", close
- In the Hyperlink dialog, click "Apply"


RESULT:
- The first word is highlighted
- When the first word is Ctrl-clicked, the user is taken to the location of the bookmark on the 3rd page.

I can't reproduce the problem.

Denis - What OS are you running?
Comment 2 Denis 2013-12-08 13:50:17 UTC
(In reply to comment #1)
> I can't reproduce the problem.
> 
> Denis - What OS are you running?

My OS is Xubuntu 13.10.
I can't reproduce this problem on Windows 7 (VirtualBox).
Comment 3 Robinson Tryon (qubit) 2013-12-08 19:18:39 UTC
Denis - thanks for the info.

Joren - Please test
Comment 4 Jorendc 2013-12-08 19:32:18 UTC
(In reply to comment #1)
> NOREPRO on 4.2.0.0.beta2 + Ubuntu 12.04.3
> 
> REPRO STEPS:
> - Open a new document in LO Writer
> - Add 3 pages of text
> 
> Add bookmark:
> - On the 3rd page: Insert -> Bookmark -> (type) "123"
> - click "OK"
> 
> Add hyperlink:
> - Highlight the first word of the first page
> - Insert -> Hyperlink -> Document Button -> Target in document -> (click
> button to right of textbox)
> - In "Target in document dialog" click Bookmarks -> "123"
Mind to _DOUBLE CLICK_ on the word Bookmarks in this dialog (to expand the list). 

Reproduced using Mac OSX 10.9 with LibreOffice Version: 4.2.0.0.beta2
Build ID: 1a27be92e320f97c20d581a69ef1c8b99ea9885d

Looks not reproducible when using the 'arrow' to expand the list.

Kind regards,
Joren
Comment 5 HannahL 2014-02-06 02:35:06 UTC
I'm running Ubuntu 13.04 and am also unable to reproduce the problem when doing the same thing as shown in the video. I was able to successfully link within the document on the same page and different pages.

(In reply to comment #1)
> NOREPRO on 4.2.0.0.beta2 + Ubuntu 12.04.3
> 
> REPRO STEPS:
> - Open a new document in LO Writer
> - Add 3 pages of text
> 
> Add bookmark:
> - On the 3rd page: Insert -> Bookmark -> (type) "123"
> - click "OK"
> 
> Add hyperlink:
> - Highlight the first word of the first page
> - Insert -> Hyperlink -> Document Button -> Target in document -> (click
> button to right of textbox)
> - In "Target in document dialog" click Bookmarks -> "123"
> - click "OK", close
> - In the Hyperlink dialog, click "Apply"
> 
> 
> RESULT:
> - The first word is highlighted
> - When the first word is Ctrl-clicked, the user is taken to the location of
> the bookmark on the 3rd page.
> 
> I can't reproduce the problem.
> 
> Denis - What OS are you running?
Comment 6 Björn Michaelsen 2014-11-23 20:16:35 UTC
Cant reproduce on 4.2.7/Ubuntu 14.04. First thought this to possibly be OSX only, but the video from comment 1 clearly shows Linux. Going back to NEEDINFO until its clear what is needed to reproduce.
Comment 7 Gordo 2015-05-24 00:02:57 UTC
Created attachment 115922 [details]
test document

I was looking at something else which reminded me of this bug.  I can reproduce it.

1. Open attached document.
2. Select “test1” and Insert → Hyperlink → Document.
3. Because keeping the text is currently broken, click on Reset so the text appears in Further Settings → Text.
4. Click on Target in Document button.
5. Have to be quick here to catch it.  In Target in Document window, expand Bookmarks either with the plus sign or arrow or double click.
Result:
List opens and closes again.
6. Double click "test1" and click on OK in Hyperlink window.
7. Repeat steps 2 through 5 with each of the “test” + number.

If you wait a bit after step 4 with the mouse over the Target in Document window then you will see a flicker as the window refreshes.  Opening Bookmarks after that happens results in the list staying open without it closing.

If nothing happens then to get it in a state in which will reset it, collapse the Bookmark list in the Target in Document window, select Tables, Close that window, and then Close the Hyperlink window.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 8 Buovjaga 2015-06-08 10:19:03 UTC
(In reply to Gordo from comment #7)
> 5. Have to be quick here to catch it.  In Target in Document window, expand
> Bookmarks either with the plus sign or arrow or double click.
> Result:
> List opens and closes again.

Could not reproduce the collapsing.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: be8512f99bc9ab18e55aabe01cc0ab1e6baea9e6
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-08_05:58:40
Locale: fi-FI (fi_FI)
Comment 9 Gordo 2015-06-08 12:43:59 UTC
Created attachment 116367 [details]
video of behaviour

It happens in master as well.

The attachment is my cinematic debut (in a world...where everything is collapsing...).  On the last test I wait a little bit before opening the list and it doesn't collapse.
Comment 10 Jean-Baptiste Faure 2015-08-01 16:50:30 UTC
(In reply to Gordo from comment #9)
> Created attachment 116367 [details]
> video of behaviour
> 
> It happens in master as well.
> 
> The attachment is my cinematic debut (in a world...where everything is
> collapsing...).  On the last test I wait a little bit before opening the
> list and it doesn't collapse.

I think the problem is to wait that the Navigator is populated. When it is done it is redrawn in its last state. If its last state was collapsed, the bookmark list closes itself if you have opened during this operation.

Best regards. JBF
Comment 11 Jean-Baptiste Faure 2016-01-24 09:13:08 UTC
Still not reproducible for me with LO 5.0.5.0.0+, 5.1.1.0.0+ and master under Ubuntu 15.10.

Best regards. JBF
Comment 12 Jean-Baptiste Faure 2016-01-24 16:20:19 UTC
The status of this bug report should have been set back to NEW because it has been already CONFIRMED. See comment #4 and history.

The cases where the bug has been reproduced are: Linux/Ubuntu + XFCE (not Unity) and OSX.
Not reproduced with other WM for Linux and with MS-Windows.

Best regards. JBF
Comment 13 QA Administrators 2017-03-06 13:48:32 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2019-12-03 14:13:26 UTC Comment hidden (obsolete)
Comment 15 Jean-Baptiste Faure 2019-12-07 11:41:55 UTC
Still not reproducible for me with LO 6.3.5.0+.

Best regard. JBF
Comment 16 QA Administrators 2021-12-07 04:56:50 UTC
Dear Denis,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug